#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           koko
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        An Image gallery application
Group:          Graphical desktop/KDE
License:        GPLv2+ and GPLv3 and LGPLv2 and LGPLv2+ and CC0 and BSD
Url:            https://apps.kde.org/koko/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Source1:        http://download.geonames.org/export/dump/cities1000.zip
Source2:        http://download.geonames.org/export/dump/admin1CodesASCII.txt
Source3:        http://download.geonames.org/export/dump/admin2Codes.txt

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(exiv2) >= 0.21
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-atom)
BuildRequires:  cmake(KQuickImageEditor)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Positioning)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Notifications)

Requires:       kirigami2
Requires:       purpose
Requires:       kquickimageeditor

%description
Koko is a simple image gallery application that is designed to
view, edit and share images.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/%{name}.*
%{_kf5_knotificationsdir}/*
%{_kf5_libdir}/libkokocommon.so.0{,.*}
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_qmldir}/org/kde/%{name}/

#------------------------------------------------------------------------------

%prep
%autosetup

# Copying these to src dir as per https://invent.kde.org/graphics/koko/-/blob/master/README.md Packaging section.
cp %{_topdir}/SOURCES/cities1000.zip src/
cp %{_topdir}/SOURCES/admin1CodesASCII.txt src/
cp %{_topdir}/SOURCES/admin2Codes.txt src/

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}

# Not needed
rm %{buildroot}%{_kf5_libdir}/libkokocommon.so


%changelog
* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959747
- initial package koko

